package ru.mai.dep806.web;

import javax.servlet.Servlet;
import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebServlet;
import java.io.IOException;
import java.io.Writer;
import java.util.Random;

/**
 * Created by EUGENEL on 26.05.2017.
 */
public class RandomNumberServlet implements Servlet {

    private int counter = 0;

    @Override
    public void init(ServletConfig servletConfig) throws ServletException {
        
    }

    @Override
    public ServletConfig getServletConfig() {
        return null;
    }

    @Override
    public void service(ServletRequest servletRequest, ServletResponse servletResponse) throws ServletException, IOException {

        counter++;

        System.out.println("Visitors: " + counter);
        String maxNumber = servletRequest.getParameter("max");
        int max = 10;
        if (maxNumber != null && !maxNumber.trim().isEmpty()) {
            max = Integer.parseInt(maxNumber);
        }

        System.out.println("Max is " + max);

        int random = new Random().nextInt(max);

        Writer out = servletResponse.getWriter();

        out.write("<html> <body> Random number from 0 to <i>" + max + "</i> is: <i> ");
        out.write(String.valueOf(random));
        out.write("</i> </body> </html>");
        out.close();
    }

    @Override
    public String getServletInfo() {
        return null;
    }

    @Override
    public void destroy() {

    }
}
